Subject: Re: [PATCH next-next 2/7] gre: Move utility functions to common headers

From: Jiri Benc <[email-masked]>
Date: Wed, 4 May 2016 10:35:49 +0200

On Wed, 04 May 2016 00:53:16 -0400 (EDT), David Miller wrote:
> From: Jiri Benc <[email-masked]>
> Date: Tue, 3 May 2016 13:29:44 +0200
> 
> > How do we resolve the conflict between net and net-next? I'd prefer
> > gre_parse_header to return the header length. I can submit a patch for
> > net-next that does this; that would substantially ease the merge.
> 
> Jiri, I just did the net --> net-next merge.  Please send me something on
> top of that which does what you like.

The patch http://patchwork.ozlabs.org/patch/617940/ still applies and
does the right thing even post merge.

Note that the merge reintroduced the bug fixed by b7f8fe251e46 (the
mentioned patch fixes this, too).

Thanks,

 Jiri